For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all employees
        • GETGet an employee by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManEmployees

Get an employee by ID

GET
/v1/employees/:employee_id
GET
/v1/employees/:employee_id
$curl https://api.propexo.com/v1/employees/employee_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "2a161bee-96c5-4939-88f6-8ae8c9428fed",
17 "x_property_id": "c08f3681-c8d6-4bc3-baf2-98c7b2840256",
18 "x_location_id": null,
19 "name": "John Wick",
20 "email": "john@example.com",
21 "is_active": null,
22 "roles": [
23 "LEASING_AGENT"
24 ],
25 "integration_id": "clwh5u07w000508me66sfh3um",
26 "integration_vendor": "RESMAN",
27 "property_id": "clwi5xiix000008l6ctdgafyh"
28 }
29}
Get an employee by ID
Was this page helpful?
Previous

Get all events

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

employee_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error